﻿var PesquisarHistoricoFiltroController = ControllerBase.extend({
    ajax: function() {
        var id = 0;
        if (this.model.get('Id') != null)
            id = this.model.get('Id');

        return {
            url: '/Produto/_HistoricoFiltro',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                idFiltro: id
            })
        };
    },

    renderizado: function () {

        this.HistoricoFiltroView = this.showView({
            region: {
                name: 'historicoFiltroViewRegion',
                selector: '#pesquisar-historico-filtros-region'
            },
            view: {
                type: HistoricoFiltroView,
                args: {
                    collection: new HistoricosFiltros(this.model),
                    controller: this }
            }
        });       
    },

    fixarItem: function (modelItem) {

        this.historicoFiltroController = this.showView({
            region: {
                name: 'historicoFiltroControllerRegion',
                selector: '#pesquisar-historico-filtro-container'
            },
            controller: {
                type: PesquisarHistoricoFiltroController,
                args: {
                    controllerPai: this.controller,
                    model: modelItem
                }
            }
        });
    },
    desafixarItem: function (modelItem) {

        this.historicoFiltroController = this.showView({
            region: {
                name: 'historicoFiltroControllerRegion',
                selector: '#pesquisar-historico-filtro-container'
            },
            controller: {
                type: PesquisarHistoricoFiltroController,
                args: {
                    controllerPai: this.controller,
                    model: modelItem
                }
            }
        });
    }
});