﻿var PedidoFornecedorController = ControllerBase.extend({
    ajax: function () {

        var pesquisa = {
            CodigoProduto: this.model.get('Codigo'),
            CodigoFilial: this.model.get('Filial'),
            TamanhoPagina: this.pesquisa ? this.pesquisa.PageSize : 0,
            NumeroPagina: this.pesquisa ? this.pesquisa.ActualPage : 1
        };

        return {
            url: '/Produto/_PedidoFornecedor',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: pesquisa
            })
        };
    },

    totalQuantidadeNaoEntregue: function (model) {
        return model.reduce(function (memo, value) { return memo + value.QuantidadeNaoEntregue }, 0);
    },

    atualizarTotal: function () {
        $('#td-pedido-fornecedor-total-nao-entregue').html(this.totalQuantidadeNaoEntregue(this.model));
    },

    renderizado: function () {

        this.PedidoFornecedorView = this.showView({
            region: {
                name: 'pedidoFornecedorViewRegion',
                selector: '#pedido-fornecedor-region'
            },
            view: {
                type: PedidoFornecedorView,
                args: {
                    collection: new PedidosFornecedores(this.model)
                }
            }
        });

        $('#descricao-produto-pedido-fornecedor').html('<h3>' + this.produto + '</h3>');

        this.atualizarTotal();
    }

});

