﻿var EditarItensOrcamentoController = ControllerBase.extend({

    ajax: function () {
        return {
            url: '/Orcamento/RenderPartial',
            type: 'get',
            cache: false,
            data: {
                name: '_EditarItens'
            }
        };
    },

    renderizado: function () {

        this.itemIndex = 0;

        this.atacharEventos();

        //this.editarItensOrcamentoView = this.showView({
        //    region: {
        //        name: 'editarItensOrcamentoViewRegion',
        //        selector: '#editar-itens-orcamento-region'
        //    },
        //    view: {
        //        type: EditarItensOrcamentoView,
        //        args: {
        //            collection: this.collection,
        //            finalizarEdicaoItemCallback: $.proxy(this.finalizarEdicaoItem, this),
        //            cancelarEdicaoItemCallback: $.proxy(this.cancelarEdicaoItem, this),
        //            aplicarTudoCallback: this.aplicarTudoCallback
        //        }
        //    }
        //});

        this.editarItem();


        if (this.collection.length > this.itemIndex + 1) {

            this.addActionButton({
                id: 'anterior',
                text: 'Anterior',
                'class': 'icone-anterior',
                click: $.proxy(this.anterior, this)
            }, true);

            this.addActionButton({
                id: 'proximo',
                text: 'Próximo',
                'class': 'icone-proximo',
                click: $.proxy(this.proximo, this)
            }, true);

            this.getActionButtonById('anterior').prop('disabled', true);

        }
    },

    editarItem: function () {


        this.editarItemOrcamentoView = this.showView({
            region: {
                name: 'editarItensOrcamentoViewRegion',
                selector: '#editar-itens-orcamento-region'
            },
            view: {
                type: EditarItemOrcamentoView,
                args: {
                    model: this.collection.at(this.itemIndex),
                    finalizarEdicaoItemCallback: $.proxy(this.finalizarEdicaoItem, this),
                    cancelarEdicaoItemCallback: $.proxy(this.cancelarEdicaoItem, this)
                }
            }
        });

    },

    proximo: function () {

        if (this.itemIndex + 1 == this.collection.length && typeof this.finalizarEdicaoItens != 'undefined' && this.finalizarEdicaoItens) {
            this.finalizarEdicaoItens();
            return;
        }

        this.itemIndex++;
        this.editarItem();


        if (this.itemIndex > 0) {
            this.getActionButtonById('anterior').prop('disabled', false);
        }


    },

    anterior: function () {

        this.itemIndex--;
        this.editarItem();


        if (this.itemIndex == 0) {
            this.getActionButtonById('anterior').prop('disabled', true);
        }

        if (this.itemIndex + 1 == this.collection.length) {
            this.getActionButtonById('proximo').prop('disabled', false);
        }

    },

    atacharEventos: function () {

        //this.addActionButton({
        //    text: 'Aplicar Tudo',
        //    'class': 'icone-check separador',
        //    click: $.proxy(this.aplicarTudo, this)
        //}, true);

    },

    finalizarEdicaoItem: function () {

        if (this.itemIndex + 1 == this.collection.length && typeof this.finalizarEdicaoItens != 'undefined' && this.finalizarEdicaoItens) {
            this.finalizarEdicaoItens();
            return;
        }

        this.proximo();

    },

    cancelarEdicaoItem: function () {

    }

});
