﻿var NumeroPedidoView = Backbone.Marionette.CompositeView.extend({
    template: '#template-numero-pedido',
    
    initialize: function (options) {
        this.app = options.app;
        this.parent = options.parent;
    },

    events: {
        'click #button-novo-orcamento': 'novoOrcamento',
        'click #button-imprimir-orcamento': 'imprimirOrcamento',
    },

    novoOrcamento: function () {
        $(window).attr('permitirSairView', true);
        global.redirectToAction('Index', 'Orcamento');
    },

    imprimirOrcamento: function () {
        var numero = this.model.get('Numero');
        window.open('/Relatorio/Orcamento/'+numero, "_blank", 'Impressão de Relatório');
    }
    
});