﻿var CreditoController = ControllerBase.extend({
    ajax: function() {

        return {
            url: '/Cliente/_Credito',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: this.pesquisa
            })
        };
    },
    
    renderizado: function () {

        $("#credito-container").removeClass('none').addClass('separador');

        this.creditoView = this.showView({
            region: {
                name: 'creditoViewRegion',
                selector: '#credito-region'
            },
            view: {
                type: CreditoView,
                args: {
                    collection: new Creditos(this.model)
                }
            }
        });
    }
});