﻿var FichaCrediarioController = ControllerBase.extend({
    ajax: function () {

        return {
            url: '/Cliente/_FichaCrediario',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: this.pesquisa
            })
        };
    },

    renderizado: function () {

        $("#ficha-crediario-container").removeClass('none').addClass('separador');

        this.FichaCrediarioView = this.showView({
            region: {
                name: 'fichaCrediarioViewRegion',
                selector: '#ficha-crediario-region'
            },
            view: {
                type: FichaCrediarioView,
                args: {
                    collection: new FichasCrediario(this.model)
                }
            }
        });
        
    }
});