﻿var LimiteCreditoController = ControllerBase.extend({
    ajax: function () {

        return {
            url: '/Cliente/_LimiteCredito',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: this.pesquisa
            })
        };
    },

    renderizado: function () {

        $("#limite-credito-container").removeClass('none').addClass('separador');

        this.limiteCreditoView = this.showView({
            region: {
                name: 'limiteCreditoViewRegion',
                selector: '#limite-credito-region'
            },
            view: {
                type: LimiteCreditoView,
                args: {
                    model: new LimiteCredito(this.model)
                }
            }
        });
    }
});