﻿var CreditoItemView = Backbone.Marionette.ItemView.extend({
    template: '#template-listar-credito-item',
    tagName : 'tr',
    initialize: function (options) {
        this.app = options.app;
        this.parent = options.parent;
    }
});

var CreditoView = Backbone.Marionette.CompositeView.extend({
    template: '#template-listar-credito',
    childView: CreditoItemView,
    childViewContainer: '#lista-credito-container',

    initialize: function (options) {
        this.app = options.app;
    },

    buildChildView: function (item, itemView) {

        var view = new itemView({
            model: item,
            app: this.app,
            parent: this
        });
        return view;
    },
});