﻿var PedidoClienteItemView = Backbone.Marionette.ItemView.extend({
    template: '#template-listar-pedido-cliente-item',
    tagName: 'tr',    
    initialize: function (options) {
        this.app = options.app;
        this.parent = options.parent;
        this.controller = options.controller;
    },

    onRender: function () {

        var situacao = this.model.get('Situacao');

        if (situacao == '2') {
            this.$el.addClass('cor-3');
        }      
        else {
            this.$el.addClass('cor-2');
        }

    }
});

var PedidoClienteView = Backbone.Marionette.CompositeView.extend({
    template: '#template-listar-pedido-cliente',
    childView: PedidoClienteItemView,
    childViewContainer: '#lista-pedido-cliente-container',

    initialize: function (options) {
        this.app = options.app;
    },

    buildChildView: function (item, itemView) {

        var view = new itemView({
            model: item,
            app: this.app,
            parent: this
        });
        return view;
    }
});

