﻿var ReservaProdutoItemView = Backbone.Marionette.ItemView.extend({
    template: '#template-reserva-produto-item',
    tagName: 'tr',
    initialize: function (options) {
        this.app = options.app;
        this.parent = options.parent;

    }
});

var ReservaProdutoView = Backbone.Marionette.CompositeView.extend({
    template: '#template-reserva-produto',
    childView: ReservaProdutoItemView,
    childViewContainer: '#lista-reserva-produto-container',

    initialize: function (options) {
        this.app = options.app;
    },

    buildChildView: function (item, itemView) {

        var view = new itemView({
            model: item,
            app: this.app,
            parent: this
        });
        return view;
        
    },
    

}
);