﻿var ParcelaItemView = Backbone.Marionette.ItemView.extend({
    template: '#template-parcelas-item',
    tagName: 'tr',

    initialize: function (options) {
        this.app = options.app;
        this.parent = options.parent;
    }
});


var ParcelaView = Backbone.Marionette.CompositeView.extend({
    template: '#template-parcelas',
    childView: ParcelaItemView,
    childViewContainer: '#lista-parcelas',

    initialize: function (options) {
        this.app = options.app;
        this.model.on('change:Parcelas', this.render, this);
    },

    buildChildView: function (item, itemView) {

        var view = new itemView({
            model: item,
            app: this.app,
            parent: this
        });
        return view;
    },
});