﻿var AcompanhamentoController = ControllerBase.extend({
    ajax: function () {

        return {
            url: '/Cliente/_Acompanhamento',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: this.pesquisa
            })
        };
    },

    renderizado: function () {

        $("#acompanhamento-container").removeClass('none').addClass('separador');

        this.AcompanhamentoView = this.showView({
            region: {
                name: 'acompanhamentoViewRegion',
                selector: '#acompanhamento-region'
            },
            view: {
                type: AcompanhamentoView,
                args: {
                    collection: new Acompanhamentos(this.model)
                }
            }
        });
    }
});