﻿var DocumentoAbertoController = ControllerBase.extend({
    ajax: function () {

        return {
            url: '/Cliente/_DocumentoAberto',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: this.pesquisa
            })
        };
    },

    renderizado: function () {

        $("#documento-aberto-container").removeClass('none').addClass('separador');

        this.DocumentoAbertoView = this.showView({
            region: {
                name: 'documentoAbertoViewRegion',
                selector: '#documento-aberto-region'
            },
            view: {
                type: DocumentoAbertoView,
                args: {
                    collection: new Documentos(this.model)
                }
            }
        });
    }
});