﻿var FichaFinanceiraController = ControllerBase.extend({
    ajax: function () {
        return {
            url: '/Cliente/_FichaFinanceira',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisa: this.pesquisa
            })
        };
    },

    renderizado: function () {

        this.fichaFinanceiraView = this.showView({
            region: {
                name: 'fichaFinanceiraViewRegion',
                selector: '#ficha-financeira-region'
            },
            view: {
                type: FichaFinanceiraView,
                args: {
                    model: new FichaFinanceira(this.model)
                }
            }
        });
    }
});