﻿var OrcamentoAbertoController = ControllerBase.extend({
    ajax: function () {

        return {
            url: '/Cliente/_OrcamentoAberto',
            type: 'post',
            cache: false,
            contentType: 'application/json',
            data: JSON.stringify({
                pesquisaOrcamentoAbertoContract: this.pesquisaOrcamentoAberto
            })
        };
    },
    
    renderizado: function () {

        $("#orcamento-aberto-container").removeClass('none').addClass('separador');

        this.OrcamentoAbertoView = this.showView({
            region: {
                name: 'orcamentoAbertoViewRegion',
                selector: '#orcamento-aberto-region'
            },
            view: {
                type: OrcamentoAbertoView,
                args: {
                    collection: new OrcamentosAbertos(this.model)
                }
            }
        });
    }
});